Get Recommended Items for Current Session
1 min
GET
https://api.upstartcommerce.com/v1/catalog/live/recommendation/session
top_kstring<p>Optional. Defaults to 20 internally. Specifies the number of recommendations to return (1–20).</p>
customer_idstringCustomer identifier
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
web-session-idstringActive web session ID
200<p>Success - recommended catalog items returned</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
404No session recommendations found
curl --request GET \
--url 'https://api.upstartcommerce.com/v1/catalog/live/recommendation/session?customer_id=string' \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string' \
--header 'x-upstart-site: string' \
--header 'web-session-id: string'